×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Binary compatibility break in Text-To-Speech Utility API on S60 3rd Edition (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search
Forum Nokia KB (Talk | contribs)
Forum Nokia KB (Talk | contribs)
Line 9: Line 9:
 
|-
 
|-
 
|'''ID''' ||KIS000843
 
|'''ID''' ||KIS000843
|'''Creation date''' ||March 4, 2008
+
|'''Creation date''' ||March 4, 2008, updated October 3, 2008
 
|-
 
|-
 
|'''Platform''' ||S60 3rd Edition   
 
|'''Platform''' ||S60 3rd Edition   
Line 16: Line 16:
 
|'''Category''' ||Symbian C++ 
 
|'''Category''' ||Symbian C++ 
 
|'''Subcategory''' ||Audio 
 
|'''Subcategory''' ||Audio 
 +
|}
 +
 +
 +
{|style="background:#eceff2" width="660px" border="1" cellpadding="5" cellspacing="0"
 
|-
 
|-
|'''APIs''' || 
+
|'''Keywords (APIs, classes, methods, functions):''' CTtsUtility
|'''Classes''' || 
+
|-
+
|'''Methods''' || 
+
|  || 
+
 
|}
 
|}
  
Line 31: Line 31:
 
==Overview==
 
==Overview==
  
TTS (Text-To-Speech) Utility API is available in the [[SDK API Plug-in]] package for S60 3rd Edition, Feature Pack 2. TTS is supported in all S60 3rd Edition devices, however there is a binary compatibility break between S60 3rd Edition and S60 3rd Edition, Feature Pack 1 for this API.
+
TTS (Text-To-Speech) Utility API (CTtsUtility) is available in the [[SDK API Plug-in]] package for S60 3rd Edition, Feature Pack 2. Low-quality TTS is supported in all S60 3rd Edition devices, however there are binary compatibility breaks between each S60 3rd Edition platform release (S60 3rd Edition, Feature Pack 1 and Feature Pack 2) for this API.
  
 
==Detailed description==
 
==Detailed description==
Line 37: Line 37:
 
TTS Utility provides access to TTS functionality on S60 devices, including the high-quality TTS engine supported in some of the devices.
 
TTS Utility provides access to TTS functionality on S60 devices, including the high-quality TTS engine supported in some of the devices.
  
There is a binary compatibility break between S60 3rd Edition and S60 3rd Edition, FP1. Compiling an application using this version of the TTS API and trying to run it on an S60 3rd Edition device will result in KERN-EXEC 3 panic.
+
A list of devices supporting high-quality Text-To-Speech can be found [http://europe.nokia.com/A4286225 here].
 +
 
 +
There are binary compatibility breaks between S60 3rd Edition releases for Text-To-Speech Utility and TTS Common APIs. Compiling an application using the TTS Utility API from the Plug-in package and trying to run it on an S60 3rd Edition device will result in KERN-EXEC 3 panic.
  
 
==Solution==
 
==Solution==
  
TTS APIs from the API Plug-in package can be used on S60 3rd Edition, FP1 and S60 3rd Edition, FP2 devices.
+
TTS APIs from the API Plug-in package can only be used on S60 3rd Edition, Feature Pack 2 devices.
  
The S60 3rd Edition-specific version of the API is required in order to use the high-quality TTS capabilities of certain S60 devices. (See the list of affected devices above). This version of the API can be requested via [https://pro.forum.nokia.com/productList.do?categoryID=3 Forum Nokia API Partnering].
+
Versions of the TTS API supporting S60 3rd Edition and S60 3rd Edition, Feature Pack 1 devices of the API can be requested via [https://pro.forum.nokia.com/productList.do?categoryID=3 Forum Nokia API Partnering].
  
Also note that low-quality TTS can be used via the <tt>CMdaAudioPlayerUtility</tt> class as well. More information is available [[Text_to_speech_in_symbian_2nd_and_3rd_edition_phones| here]].
+
Also note that low-quality TTS can be used via the <tt>CMdaAudioPlayerUtility</tt> class as well. More information is available [http://wiki.forum.nokia.com/index.php/Text_to_speech_in_symbian_2nd_and_3rd_edition_phones here].

Revision as of 12:02, 3 October 2008

Template:KBKI

ID KIS000843 Creation date March 4, 2008, updated October 3, 2008
Platform S60 3rd Edition  Devices S60 3rd Edition devices with HQTTS support (Nokia 5500 Sport, Nokia E50, Nokia E65, Nokia N75) 
Category Symbian C++  Subcategory Audio 


Keywords (APIs, classes, methods, functions): CTtsUtility


Template:NoteS

This API is not part of the public SDK. It can be found in the SDK API Plug-in.

Template:NoteE

Overview

TTS (Text-To-Speech) Utility API (CTtsUtility) is available in the SDK API Plug-in package for S60 3rd Edition, Feature Pack 2. Low-quality TTS is supported in all S60 3rd Edition devices, however there are binary compatibility breaks between each S60 3rd Edition platform release (S60 3rd Edition, Feature Pack 1 and Feature Pack 2) for this API.

Detailed description

TTS Utility provides access to TTS functionality on S60 devices, including the high-quality TTS engine supported in some of the devices.

A list of devices supporting high-quality Text-To-Speech can be found here.

There are binary compatibility breaks between S60 3rd Edition releases for Text-To-Speech Utility and TTS Common APIs. Compiling an application using the TTS Utility API from the Plug-in package and trying to run it on an S60 3rd Edition device will result in KERN-EXEC 3 panic.

Solution

TTS APIs from the API Plug-in package can only be used on S60 3rd Edition, Feature Pack 2 devices.

Versions of the TTS API supporting S60 3rd Edition and S60 3rd Edition, Feature Pack 1 devices of the API can be requested via Forum Nokia API Partnering.

Also note that low-quality TTS can be used via the CMdaAudioPlayerUtility class as well. More information is available here.

160 page views in the last 30 days.

Was this page helpful?

Your feedback about this content is important. Let us know what you think.

 

Thank you!

We appreciate your feedback.

×